import React, { MouseEventHandler, ReactNode } from 'react';
import { ButtonGroupProps } from '../../../es/button/ButtonGroup';
import { DropDownProps } from './Dropdown';
import { ButtonProps } from '../button/Button';
import { ButtonType, FuncType } from '../button/interface';
import { Size } from '../core/enum';
export interface DropdownButtonProps extends ButtonGroupProps, DropDownProps {
    type?: ButtonType;
    disabled?: boolean;
    icon?: ReactNode;
    size?: Size;
    funcType?: FuncType;
    onClick?: MouseEventHandler<any>;
    children?: any;
    buttonProps?: ButtonProps;
    buttonGroupPrefixCls?: string;
}
interface DropdownButtonInterface extends React.FC<DropdownButtonProps> {
    __PRO_DROPDOWN_BUTTON: boolean;
}
declare const DropdownButton: DropdownButtonInterface;
export default DropdownButton;
