import React, { FunctionComponent, ReactNode } from 'react';
import { PictureRef } from './Picture';
export interface PictureContextValue {
    registerPicture(index: number, pictureRef: PictureRef): any;
    unRegisterPicture(index: number, pictureRef: PictureRef): any;
    preview(index: number): any;
}
export interface PictureProviderProps {
    children?: ReactNode;
}
declare const PictureContext: React.Context<PictureContextValue | undefined>;
export default PictureContext;
export declare const PictureProvider: FunctionComponent<PictureProviderProps>;
