import { MousePosition } from '../modal-manager';
export declare function getDocument(self: Window): Document;
export declare function getDocuments(self: Window, list?: Document[]): Document[];
export declare function findIFrame(self: Window): HTMLIFrameElement | undefined;
export { MousePosition };
export declare function getMousePosition(x: number, y: number, self: Window, client?: boolean): MousePosition;
declare const _default: {
    getDocument: typeof getDocument;
    getDocuments: typeof getDocuments;
    findIFrame: typeof findIFrame;
    getMousePosition: typeof getMousePosition;
};
export default _default;
